#!/usr/bin/env python
#
# This file is part of Baseball Math
# Author(s): Elizabeth Amador and Marisela Rebollar, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Baseball Math is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Baseball Math is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Baseball Math.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from ActivityGenerator import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 675, 507
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("new_field2.jpg",1)

# Set up the activity generator
activity = ActivityGenerator(background)

# Start screen
start_game = False
while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.KEYDOWN: # if the user pressed a key
			start_game = True # start the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font(None, 100)
	text = font.render("Let's Play Ball!", 1, (255,69,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-100
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 35)
	text = font.render("Solve the math problem by typing the correct answer", 1, (255,69,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 50)
	text = font.render("Press any key to start the game.", 1, (255,69,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+50
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window

user_won = False 

game_over = False

# Main game play
while not game_over:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	activity.generate_activity()

	if activity.score == 4 or activity.strikes ==3: 
		game_over = True 

	if activity.score == 4: 
		user_won = True

	# Draw everything to the screen
	pygame.display.flip()

# Display game over screen
while True:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the scoreboard
	font = pygame.font.Font(None, 100)
	text = font.render("Score: " + str(activity.score), 1, (255,69,0))
	textrect = text.get_rect()
	textrect.left, textrect.top = 0,0
	screen.blit(text, textrect)
	
	# Draw the game over message
	font = pygame.font.Font(None, 50)
	if user_won:
		text = font.render ("Congratulations You WON!!!", 1, (255,69,0))
	else:
		text = font.render("Game over try again!", 1, (255,69,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window
